<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: File Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('globals_g.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all file members with links to the files they belong to:</div>

<h3><a id="index_g"></a>- g -</h3><ul>
<li>genericQuery()
: <a class="el" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77">postgresInterface.hpp</a>
</li>
<li>getAddrVec()
: <a class="el" href="recursive_hierarch_search_8hpp.html#a84e7a8d5a78c4f9d483ce3bf66b186ea">recursiveHierarchSearch.hpp</a>
</li>
<li>getArraySizeOfVariable()
: <a class="el" href="resolve_interface_variables_8hpp.html#ad77b740e08a4a6039c34dbae36b9b0e0">resolveInterfaceVariables.hpp</a>
</li>
<li>getBaseTypeOfVariable()
: <a class="el" href="resolve_interface_variables_8hpp.html#a5e9f4f440a915c7a9fd4764a39c9b4ce">resolveInterfaceVariables.hpp</a>
</li>
<li>getBinOpSubExpString()
: <a class="el" href="_store_results_to_file_8h.html#a52973540f2a4a6a8e53218d1686af451">StoreResultsToFile.h</a>
</li>
<li>getCodePos()
: <a class="el" href="_write_j_s_o_n_report_8h.html#a826c9420535604cd8472cc685882c652">WriteJSONReport.h</a>
</li>
<li>getCodePositionAndTextAsString()
: <a class="el" href="_store_results_to_file_8h.html#a19896502e58bf3ed89e13edf9f2358bd">StoreResultsToFile.h</a>
</li>
<li>getCompuMethod()
: <a class="el" href="resolve_interface_variables_8hpp.html#a427dfa1149119db1a5ed52bb1da8030d">resolveInterfaceVariables.hpp</a>
</li>
<li>getDefinesInDataFile()
: <a class="el" href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7">getDefinesInDataFile.hpp</a>
</li>
<li>getDenominatorOrNumerator()
: <a class="el" href="search_path_utilities_8hpp.html#a2d2bb888b17259ef2c9d363504c742db">searchPathUtilities.hpp</a>
</li>
<li>getElementOfJSONAppendedDoc()
: <a class="el" href="search_path_utilities_8hpp.html#a22aa9d16f96c6693a4997b3c37d9c134">searchPathUtilities.hpp</a>
</li>
<li>getElementOfJSONArray()
: <a class="el" href="search_path_utilities_8hpp.html#a38a14ece7625a78b944e2fcdf17ef45b">searchPathUtilities.hpp</a>
</li>
<li>getElementOfJSONChainedDoc()
: <a class="el" href="search_path_utilities_8hpp.html#a5b17eb6620c1c79a216b45cb08364b20">searchPathUtilities.hpp</a>
</li>
<li>getElementPairsOfJSONArray()
: <a class="el" href="search_path_utilities_8hpp.html#a7ea64e50cd40d9c0b921a481e718740f">searchPathUtilities.hpp</a>
</li>
<li>getExpansionLoc()
: <a class="el" href="_process_location_8h.html#a5f3e3eae2fa66e3b8f466c76ca94fca2">ProcessLocation.h</a>
</li>
<li>getFilePathFromFID()
: <a class="el" href="_process_location_8h.html#a018c66977d2c402cc520713f94a7c3b4">ProcessLocation.h</a>
</li>
<li>getFunctionDeclsAsOSProcesses()
: <a class="el" href="get_function_decls_as_o_s_processes_8hpp.html#af93a1ddcec5d4ca2913cf173c0948310">getFunctionDeclsAsOSProcesses.hpp</a>
</li>
<li>getIdAndClassName()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a23ba91bd198c0a9232e2020f2e6b795b">DeclRefExprProc.h</a>
</li>
<li>getIdentificationOfObj()
: <a class="el" href="search_path_utilities_8hpp.html#a35040d624bbaf96a0baf54d0fffd1f8b">searchPathUtilities.hpp</a>
</li>
<li>getIdentificationStruct()
: <a class="el" href="search_path_utilities_8hpp.html#a3a886e5cb3ce1bb6064aeac57f547f72">searchPathUtilities.hpp</a>
</li>
<li>getIndexPair()
: <a class="el" href="_process_location_8h.html#aa92bff132edcf807c0e61f77e0fefd51">ProcessLocation.h</a>
</li>
<li>getInnerLocation()
: <a class="el" href="_write_j_s_o_n_report_8h.html#a6a5a8aca9b0238b827d509a77c2b2c17">WriteJSONReport.h</a>
</li>
<li>getJsonColAsTextAtId()
: <a class="el" href="postgres_interface_8hpp.html#a7d1bfcadece56ec9ead10adf37583c6c">postgresInterface.hpp</a>
</li>
<li>getLHSVector()
: <a class="el" href="resolve_interface_variables_8hpp.html#aee9904a1a912e7f57e57408a6c686aef">resolveInterfaceVariables.hpp</a>
</li>
<li>getLincol()
: <a class="el" href="_process_location_8h.html#acd811eedb0bac0f13ce38b7da3dc038c">ProcessLocation.h</a>
</li>
<li>getMatchedItemVectorFromMongoDB()
: <a class="el" href="postgres_interface_8hpp.html#a1d86e63a743b67cf37de4be135ecc87d">postgresInterface.hpp</a>
</li>
<li>getMDXParametersForCalPrm()
: <a class="el" href="resolve_interface_variables_8hpp.html#abc7ed3956e838556863e1cfb56c6a800">resolveInterfaceVariables.hpp</a>
</li>
<li>getNthColumn()
: <a class="el" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac">recursiveHierarchSearch.hpp</a>
</li>
<li>getPositionForJSONReport()
: <a class="el" href="_write_j_s_o_n_report_8h.html#a907ba809957fc3c38648bbe6f9e22f1e">WriteJSONReport.h</a>
</li>
<li>getPropertyAccJSONPath()
: <a class="el" href="postgres_interface_8hpp.html#a0231ce735528de5cc4fbe68da76bfc33">postgresInterface.hpp</a>
</li>
<li>getScalar()
: <a class="el" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b">recursiveHierarchSearch.hpp</a>
</li>
<li>getSlocEntryOfSource()
: <a class="el" href="_process_location_8h.html#a65f08daa76d5eec8dcb7aa64aa4118c5">ProcessLocation.h</a>
</li>
<li>getSLocEntryPair()
: <a class="el" href="_process_location_8h.html#abad38270e661e69e3b35b5ffa07ac664">ProcessLocation.h</a>
</li>
<li>getSpellingFromExpansion()
: <a class="el" href="_process_location_8h.html#a91ad95bcd3976d77010abe8ec987ac7a">ProcessLocation.h</a>
</li>
<li>getStringVectorFromJsonArray()
: <a class="el" href="postgres_interface_8hpp.html#a05c138142fb11ee473b34d27512a3f7e">postgresInterface.hpp</a>
</li>
<li>getStringVectorFromJsonObj()
: <a class="el" href="postgres_interface_8hpp.html#abb99b0e2add80b662e70fc70543569d8">postgresInterface.hpp</a>
</li>
<li>getSWUnitRef()
: <a class="el" href="search_path_utilities_8hpp.html#a8053480525c9fdca9d9feabaf252b90c">searchPathUtilities.hpp</a>
</li>
<li>getTextPosition()
: <a class="el" href="_process_location_8h.html#a2f90ddad347bcb1a30b13b5a45d67d98">ProcessLocation.h</a>
</li>
<li>GetTotalDeclLocation()
: <a class="el" href="_process_location_8h.html#a9d742bd3bdcdb084d4f8c0b909d491a6">ProcessLocation.h</a>
</li>
<li>GetTotalStmtLocation()
: <a class="el" href="_process_location_8h.html#a92f4e70e7681af4625b590e79d1a935c">ProcessLocation.h</a>
</li>
<li>GetTotalTypeLocation()
: <a class="el" href="_process_location_8h.html#a9adc45180914eee887ec4d625c6b524a">ProcessLocation.h</a>
</li>
<li>GetTypeInformationForDecl()
: <a class="el" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034">DeclProc.h</a>
</li>
<li>GetTypeInformationForTypeDefNameDecl()
: <a class="el" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848">DeclProc.h</a>
</li>
<li>getTypeOrRecordName()
: <a class="el" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b">TypeProc.h</a>
</li>
<li>getUniqueVector()
: <a class="el" href="refactor-powertrain-controls_8cpp.html#ac96db0c42064fbaec654f073743addb6">refactor-powertrain-controls.cpp</a>
</li>
<li>getValuesVec()
: <a class="el" href="recursive_hierarch_search_8hpp.html#a7698b98c647502bfaa8d3f5f980a4db6">recursiveHierarchSearch.hpp</a>
</li>
<li>getVectorFromJSONStr()
: <a class="el" href="recursive_hierarch_search_8hpp.html#a5e9719d81b3fbb25e5404193e66b94c9">recursiveHierarchSearch.hpp</a>
</li>
<li>getVectorFromJSONStrGeneric()
: <a class="el" href="recursive_hierarch_search_8hpp.html#ae01709f428082a54dabe6a9f595e311d">recursiveHierarchSearch.hpp</a>
</li>
<li>glbUri
: <a class="el" href="postgres_interface_8hpp.html#ac88c2c0d8611af8462fbb3d73bc4dc5e">postgresInterface.hpp</a>
</li>
<li>GlobalVarOnLHSInProcessBody
: <a class="el" href="_types_for_analysis_8h.html#aa2c57998efcf7383b6124eb4e9d12cd5a5d0d66793c1a08d66ab88f978e1d31e6">TypesForAnalysis.h</a>
</li>
<li>GreaterThan()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a5699a9061e7653c8e4905598dbf3f0c7">DeclRefExprProc.h</a>
</li>
<li>GreaterThanOrEqual()
: <a class="el" href="_decl_ref_expr_proc_8h.html#ac9b9f3721a1d42ecc5bfccc1a05da8b5">DeclRefExprProc.h</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
